package detector.audio.processing;

/**
 * Interface for subscribing to audio level events
 * (i.e. recieveing the current value of the adc)
 * @author Kyle
 *
 */
public interface AudioListener {
	/**
	 * The following is called every few samples; use
	 * this to display the audio level. This level is determined
	 * using a simple low-pass filter, it is not the raw signal.
	 * @param level the volume of the audio coming in through the
	 * mic
	 */
	public void onAudioLevelReceived(short level);
}
