package detector.audio.processing;

/**
 * PeakHandler defines an interface for performing some action
 * when a peak event occurs
 * Used by {@link <Monitor> [Monitor]}
 * @author Kyle
 *
 */
public interface PeakHandler {
	/**
	 * Called after a peak was detected and recorded
	 * @param audio an AudioClip containing the clip of
	 * audio that was recorded after the phone detected a peak.
	 * The length of this clip is TBD.
	 */
	public void peakDetected(AudioClip audio);
	
	/**
	 * Called when the peak occurs, not after it was recorded
	 */
	public void onPeakStarted();
}
