package edu.washington.cs.sounddetector.server.api.exception;

/**
 * Indicates that a given id for a detector phone does not exist.
 * 
 * @author the.dylan.price@gmail.com
 * 
 */
public class DetectorDoesNotExistException extends SoundDetectorAPIException
{

    private static final long serialVersionUID = 1L;

    private final String detectorId;

    public DetectorDoesNotExistException(String detectorId)
    {
        super(String.format("Detector with detectorId: %s does not exist!", detectorId));
        this.detectorId = detectorId;
    }

    public String getDetectorId()
    {
        return detectorId;
    }

}
