package edu.washington.cs.sounddetector.server.api.exception;

/**
 * Indicates that a specified receiver phone does not exist in the server.
 * 
 * @author the.dylan.price@gmail.com
 * 
 */
public class PhoneDoesNotExistException extends SoundDetectorAPIException
{

    private static final long serialVersionUID = 1L;

    private final String phoneId;

    public PhoneDoesNotExistException(String phoneId)
    {
        super(String.format("Phone with phoneId: %s does not exist!", phoneId));
        this.phoneId = phoneId;
    }

    public String getPhoneId()
    {
        return phoneId;
    }

}
