package edu.washington.cs.sounddetector.server.api.exception;

/**
 * Indicates that a given sound class does not exist.
 * 
 * @author the.dylan.price@gmail.com
 *
 */
public class SoundClassDoesNotExistException extends SoundDetectorAPIException
{
    private static final long serialVersionUID = 1L;

    private String soundClass;

    public SoundClassDoesNotExistException(String soundClass)
    {
        super(String.format("Sound class does not exist: %s", soundClass));
        this.soundClass = soundClass;
    }

    public String getSoundClass()
    {
        return soundClass;
    }
}
