package edu.washington.cs.sounddetector.server.api.exception;

/**
 * Indicates that a requested sound does not exist.
 * 
 * @author the.dylan.price@gmail.com
 * 
 */
public class SoundDoesNotExistException extends SoundDetectorAPIException
{
    private static final long serialVersionUID = 1L;

    private final long soundId;

    public SoundDoesNotExistException(long soundId)
    {
        super(String.format("Sound with soundId: %s does not exist!", soundId));
        this.soundId = soundId;
    }

    public long getSoundId()
    {
        return soundId;
    }

}
