package edu.washington.cs.sounddetector.server.api.method;

import org.apache.commons.lang3.Validate;
import org.apache.commons.lang3.builder.ToStringBuilder;

import edu.washington.cs.sounddetector.server.api.Method;

public class RegisterReceiverPhone implements Method
{

    private String phoneId;
    private String registrationId;

    public RegisterReceiverPhone()
    {
    }

    public RegisterReceiverPhone(String phoneId, String registrationId)
    {
        Validate.notBlank(phoneId);

        this.phoneId = phoneId;
        this.registrationId = registrationId;
    }

    /**
     * @param phoneId
     *            the phoneId to set
     */
    public void setPhoneId(String phoneId)
    {
        this.phoneId = phoneId;
    }

    /**
     * @param registrationId
     *            the registrationId to set
     */
    public void setRegistrationId(String registrationId)
    {
        this.registrationId = registrationId;
    }

    /**
     * @return the phoneId
     */
    public String getPhoneId()
    {
        return phoneId;
    }

    /**
     * @return the registrationId
     */
    public String getRegistrationId()
    {
        return registrationId;
    }

    @Override
    public String toString()
    {
        return new ToStringBuilder(this).append("phoneId", phoneId)
                .append("registrationId", registrationId).toString();
    }
}
