package edu.washington.cs.sounddetector.server.database;

/**
 * Constants related to the database.
 * 
 * @author the.dylan.price@gmail.com
 *
 */
public final class DbConsts
{

    /**
     * Path to properties file for Datanucleus.
     */
    public static final String DATANUCLEUS_PROPERTIES_FILE = "datanucleus.properties";

    /**
     * Use to make sure a query will see changes that may have been persisted earlier in the same
     * transaction, e.g.
     * 
     * <pre>
     * query.addExtension(DatabaseConsts.FLUSH_BEFORE_EXECUTION, &quot;true&quot;);
     * </pre>
     */
    public static final String FLUSH_BEFORE_EXECUTION = "datanucleus.query.flushBeforeExecution";
}
