package edu.washington.cs.sounddetector.server.api;

import static org.junit.Assert.assertEquals;

import java.io.IOException;
import java.util.Arrays;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

import org.codehaus.jackson.JsonGenerationException;
import org.codehaus.jackson.map.JsonMappingException;
import org.junit.Before;
import org.junit.Test;

import edu.washington.cs.sounddetector.server.api.methodresult.GetSoundsResult;
import edu.washington.cs.sounddetector.server.api.object.SoundClass;

public class MethodConverterTest
{

    @Before
    public void setUp() throws Exception
    {
    }

    @Test
    public void test() throws JsonGenerationException, JsonMappingException, IOException
    {
        Map<SoundClass, List<Long>> sounds = new HashMap<SoundClass, List<Long>>();
        sounds.put(new SoundClass("hello", 1), Arrays.asList(new Long[] { 1L, 2L, 3L, 4L }));
        sounds.put(new SoundClass("goodbye", 50),
                Arrays.asList(new Long[] { 10L, 9L, 8L, 7L, 6L, 5L }));
        
        GetSoundsResult result = GetSoundsResult.success(sounds);
        String json = MethodConverter.getInstance().serializeResult(result);
        GetSoundsResult result2 = MethodConverter.getInstance().deserializeResult(json,
                GetSoundsResult.class);
        
        assertEquals(result.getSounds(), result2.getSounds());
    }
}
