package edu.washington.cs.sounddetector.server.c2dm;

import static org.junit.Assert.assertTrue;

import java.io.File;
import java.net.URISyntaxException;
import java.net.URL;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

import org.apache.http.conn.ClientConnectionManager;
import org.apache.http.impl.conn.tsccm.ThreadSafeClientConnManager;
import org.junit.Before;
import org.junit.Ignore;
import org.junit.Test;

import edu.washington.cs.sounddetector.server.api.APIConsts;
import edu.washington.cs.sounddetector.server.api.APIConsts.PushNotificationType;

// Only used for testing C2DMessaging when I change it since it makes requests to google every time
@Ignore
public class C2DMessagingTest
{

    private TestRegIdRemover regIdRemover;
    private C2DMessaging c2dm;

    @Before
    public void setUp() throws URISyntaxException
    {
        ClientConnectionManager clientConnManager = new ThreadSafeClientConnManager();

        URL url = this.getClass().getClassLoader().getResource("auth-token.txt");
        File authTokenFile = new File(url.toURI());
        ClientAuthToken authToken = new ClientAuthToken(authTokenFile);

        this.regIdRemover = new TestRegIdRemover();
        this.c2dm = new C2DMessaging(clientConnManager, authToken, regIdRemover);
    }

    @Test
    public void testSendPushBadRegId()
    {
        String regId = "non-existant-regid";
        Map<String, String> pushData = new HashMap<String, String>();
        pushData.put(APIConsts.PUSH_KEY_NOTIFICATION_TYPE,
                PushNotificationType.SOUND_DETECTED.name());
        c2dm.sendPush(regId, pushData);
        assertTrue(regIdRemover.removedIds.contains(regId));
    }

    private class TestRegIdRemover implements RegistrationIdRemover
    {

        public List<String> removedIds = new ArrayList<String>();

        @Override
        public void removeRegistrationId(String registrationId)
        {
            removedIds.add(registrationId);
        }

    }
}
