package edu.washington.cs.sounddetector.server.c2dm;

import static org.junit.Assert.assertEquals;

import java.io.File;
import java.io.FileNotFoundException;
import java.io.PrintWriter;

import org.junit.After;
import org.junit.Before;
import org.junit.Test;

public class ClientAuthTokenTest
{

    private File authTokenFile;
    private ClientAuthToken authToken;

    @Before
    public void setUp() throws Exception
    {
        this.authTokenFile = File.createTempFile(ClientAuthToken.class.getName(), ".txt");
        this.authToken = new ClientAuthToken(authTokenFile);
    }

    @After
    public void tearDown()
    {
        authTokenFile.delete();
    }

    @Test
    public void testGetAuthToken() throws FileNotFoundException
    {
        String authTokenValue = "helloauthtoken";
        PrintWriter writer = new PrintWriter(authTokenFile);
        writer.println(authTokenValue);
        writer.flush();
        writer.close();
        assertEquals(authTokenValue, authToken.getAuthToken());
    }

    @Test
    public void testSetAuthToken()
    {
        String authTokenValue = "helloauthtoken";
        authToken.setAuthToken(authTokenValue);
        assertEquals(authTokenValue, authToken.getAuthToken());
    }

}
