package edu.washington.cs.sounddetector.server.sound;

import static org.junit.Assert.assertEquals;
import static org.junit.Assert.assertTrue;

import java.util.List;

import javax.sound.sampled.AudioFormat;

import org.junit.Before;
import org.junit.Test;

import edu.washington.cs.sounddetector.server.api.object.SoundFormat;
import edu.washington.cs.sounddetector.server.database.Sound;

public class SoundHelperTest
{

    @Before
    public void setUp() throws Exception
    {
    }

    @Test
    public void testConvert()
    {
        SoundFormat format = new SoundFormat(1, 2, 3, true, false);
        AudioFormat expected = new AudioFormat(1, 2, 3, true, false);
        AudioFormat actual = SoundHelper.convert(format);
        assertEquals(expected.toString(), actual.toString());
    }

    @Test
    public void testGetRandomNoises()
    {
        SoundProcessorBuilder builder = new SoundProcessorBuilder()
        {
            {
                setWindowSize(3);
                setWindowOverlap(0.0);
                setSamplingRate(8000);
                setNormalize(false);

                setFeatures(new jAudioFeatureExtractor.AudioFeatures.PowerSpectrum(),
                        new jAudioFeatureExtractor.AudioFeatures.SpectralCentroid());

                setAggregators(new jAudioFeatureExtractor.Aggregators.Mean(),
                        new jAudioFeatureExtractor.Aggregators.StandardDeviation());
            }
        };
        List<Sound> sounds = SoundHelper.getRandomNoises(builder, null);
        assertTrue(sounds.size() == 5);
    }

}
